Package org.bukkit.scoreboard

# Enum Class Team.OptionStatus

java.lang.Object
java.lang.Enum<Team.OptionStatus>
org.bukkit.scoreboard.Team.OptionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<Team.OptionStatus>`, `Constable`

Enclosing interface:
  Team

public static enum Team.OptionStatus extends Enum<Team.OptionStatus>
How an option may be applied to members of this team.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS`
Apply this option to everyone.
`FOR_OTHER_TEAMS`
Apply this option only for opposing teams.
`FOR_OWN_TEAM`
Apply this option for only team members.
`NEVER`
Never apply this option.

## Method Summary

Modifier and Type
Method
Description
`static Team.OptionStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Team.OptionStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALWAYS

public static final Team.OptionStatus ALWAYS
Apply this option to everyone.

### NEVER

public static final Team.OptionStatus NEVER
Never apply this option.

### FOR_OTHER_TEAMS

public static final Team.OptionStatus FOR_OTHER_TEAMS
Apply this option only for opposing teams.

### FOR_OWN_TEAM

public static final Team.OptionStatus FOR_OWN_TEAM
Apply this option for only team members.

## Method Details

### values

public static Team.OptionStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Team.OptionStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null